<?php

class Photo extends Model
{

	function __construct($fromArray = array())
	{
		$this->_tableName_ = 'photos';
		parent::__construct($fromArray);
		$this->setRelation('point', 'pointId', 'Point', 'id', self::TO_ONE);
		$this->setRelation('link', 'name', 'PhotoLinks', 'photo', self::TO_ONE);
	}

	static function model()
	{
		return new self();
	}

	/**
	 * Возвращает ссылку на исходное изображение (если она есть)
	 * @return type
	 */
	function getOriginalLink()
	{
		$link = $this->link;
		return $link ? $link->url : '';
	}
}
